//TextConvertWindow.h

#ifndef TEXT_CONVERT_WINDOW
#define TEXT_CONVERT_WINDOW

#include <InterfaceKit.h>
#include <StorageKit.h>

#include <be/add-ons/tracker/TrackerAddon.h>

#include "TextConvertView.h"
#include "Convertor.h"

class TextConvertWindow : public BWindow
{
public:
	TextConvertWindow(entry_ref dir_ref, BMessage *msg, int fontheight);
	~TextConvertWindow();

	void MessageReceived(BMessage *message);
	bool QuitRequested(void);

private:
	entry_ref saved_ref;
	BMessage *saved_msg;
	
	
	TextConvertView *view;
	BFile *in;
	Convertor convertor;
	
	int	source_enc;
	int dest_enc;	
};

#endif
